<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/data:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/data:1.0"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="basetype.xsd" namespace="http://www.h3c.com/netconf/base:1.0"></xs:import>
    <xs:element name="DNS">
     <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="DNSHost" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Host" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                   <xs:element name="VRF" minOccurs="0" type="base:VRF" nillable="true">
                   </xs:element>
                   <xs:element name="HostName" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="253"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Type" minOccurs="0" nillable="true">
                      <xs:complexType>
                       <xs:simpleContent>
			                    <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>
			                    </xs:restriction>
			                  </xs:simpleContent>
                      </xs:complexType>
                   </xs:element>
                   <xs:element name="QueryType" minOccurs="0"  nillable="true">
                      <xs:complexType>
                       <xs:simpleContent>
			                    <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>
                            <xs:enumeration value="3"/>
                            <xs:enumeration value="4"/>     
			                    </xs:restriction>
			                  </xs:simpleContent>
                      </xs:complexType>
                   </xs:element>
                   <xs:element name="AgeTime" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                   </xs:element>
                   <xs:element name="Result" minOccurs="0" nillable="true">
                      <xs:complexType>
                       <xs:simpleContent>
			                    <xs:restriction base="base:String">
			                      <xs:maxLength value="2944"></xs:maxLength>
			                    </xs:restriction>
			                  </xs:simpleContent>
                      </xs:complexType>
                   </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="DNSServer" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Server" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                   <xs:element name="VRF" minOccurs="0" type="base:VRF" nillable="true">
                   </xs:element>
                   <xs:element name="Type" minOccurs="0" nillable="true">
                      <xs:complexType>
                       <xs:simpleContent>
			                    <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/> 
			                    </xs:restriction>
			                  </xs:simpleContent>
                      </xs:complexType>
                   </xs:element>
                   <xs:element name="AddressType" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IpAddress" minOccurs="0" nillable="true">
                      <xs:complexType>
                       <xs:simpleContent>
			                    <xs:restriction base="base:String">
			                      <xs:maxLength value="45"></xs:maxLength>
			                    </xs:restriction>
			                  </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IfIndex" type="base:NameAndIndexUnion" minOccurs="0" nillable="true">
                   </xs:element>
                    <xs:element name="Priority" minOccurs="0" nillable="true">
                      <xs:complexType>
                       <xs:simpleContent>
			                    <xs:restriction base="base:UnsignedInteger32">
			                      <xs:minInclusive value="0"></xs:minInclusive>  
			                      <xs:maxInclusive value="5"></xs:maxInclusive>
			                    </xs:restriction>
			                  </xs:simpleContent>
                      </xs:complexType>
                   </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="DNSDomain" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Domain" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                   <xs:element name="VRF" minOccurs="0" type="base:VRF" nillable="true">
                   </xs:element>
                   <xs:element name="Type" minOccurs="0" nillable="true">
                      <xs:complexType>
                       <xs:simpleContent>
			                    <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>
			                    </xs:restriction>
			                  </xs:simpleContent>
                      </xs:complexType>
                   </xs:element>
                   <xs:element name="DomainName" minOccurs="0" nillable="true">
                      <xs:complexType>
                       <xs:simpleContent>
			                    <xs:restriction base="base:String">
			                      <xs:maxLength value="253"></xs:maxLength>
			                    </xs:restriction>
			                  </xs:simpleContent>
                      </xs:complexType>
                   </xs:element>
                    <xs:element name="Priority" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="15"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="DNSConfig" minOccurs="0">
          <xs:complexType>
           <xs:all>
            <xs:element name="DNSProxyEnable" minOccurs="0" type="base:Boolean" nillable="true">
            </xs:element>
            <xs:element name="DNSDSCP" minOccurs="0" nillable="true">
             <xs:complexType>
               <xs:simpleContent>
                  <xs:restriction base="base:UnsignedInteger32">
                    <xs:minInclusive value="0"></xs:minInclusive>
                    <xs:maxInclusive value="63"></xs:maxInclusive>
                  </xs:restriction>
                </xs:simpleContent>
              </xs:complexType>
            </xs:element>
            <xs:element name="DNSDSCP6" minOccurs="0" nillable="true">
              <xs:complexType>
               <xs:simpleContent>
                  <xs:restriction base="base:UnsignedInteger32">
                    <xs:minInclusive value="0"></xs:minInclusive>
                    <xs:maxInclusive value="63"></xs:maxInclusive>
                  </xs:restriction>
                </xs:simpleContent>
              </xs:complexType>
            </xs:element>
           </xs:all>
          <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
         </xs:complexType>
        </xs:element>
                <xs:element name="DNSSpecification" minOccurs="0">
          <xs:complexType>
           <xs:all>
            <xs:element name="SupportDNSProxy" minOccurs="0" type="base:Boolean" nillable="true">
            </xs:element>
           </xs:all>
          <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
         </xs:complexType>
        </xs:element>
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
     </xs:complexType>
    </xs:element>
</xs:schema>  